replicas: 2

image:
  # name and tag are currently used by CI
  name: tools-harbor.wmcloud.org/toolforge/builds-api
  # Override if needed for development purposes
  tag: OVERWRITTEN_BY_CI
  pullPolicy: IfNotPresent

resources:
  limits:
    memory: 100Mi
    cpu: 500m
  requests:
    memory: 100Mi
    cpu: 500m

api:
  failurePolicy: Fail
  passwordSecretName: builds-api-passwords

nginx:
  image:
    repository: docker-registry.tools.wmflabs.org/nginx
    nginxTag: latest
    pullpolicy: Always

certificates:
  internalClusterDomain: "cluster.local"
  apiGatewayCa:
    name: api-gateway-backend-ca
    kind: ClusterIssuer
    group: cert-manager.io

config:
  debug: false
  port: 8000
  harborRepository: https://tools-harbor.wmcloud.org
  harborUsername: "PLACEHOLDER"
  harborPassword: "PLACEHOLDER"
  okBuildsToKeep: 1
  failedBuildsToKeep: 2
